Package com.enonic.xp.form

## Class FormItems

- java.lang.Object
- - com.enonic.xp.form.FormItems

- All Implemented Interfaces:
    `Iterable<FormItem>`

      @PublicApi
      public final class FormItems
      extends Object
      implements Iterable<FormItem>

  Mutable.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FormItems()` |
    `FormItems​(FormItem containerFormItem)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(FormItem formItem)` |
    `boolean` | `equals​(Object o)` |
    `Input` | `getInput​(FormItemPath path)` |
    `Input` | `getInput​(FormItemPath path, boolean skipLayout)` |
    `FormItem` | `getItemByName​(String name)` |
    `Layout` | `getLayout​(FormItemPath path)` |
    `FormItemPath` | `getPath()` |
    `int` | `hashCode()` |
    `Iterator<FormItem>` | `iterator()` |
    `int` | `size()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### FormItems

          public FormItems()

    - #### FormItems

          public FormItems​(FormItem containerFormItem)

  - ### Method Detail

    - #### getPath

          public FormItemPath getPath()

    - #### getItemByName

          public FormItem getItemByName​(String name)

    - #### add

          public void add​(FormItem formItem)

    - #### getInput

          public Input getInput​(FormItemPath path)

    - #### getInput

          public Input getInput​(FormItemPath path,
                                boolean skipLayout)

    - #### getLayout

          public Layout getLayout​(FormItemPath path)

    - #### iterator

          public Iterator<FormItem> iterator()

      Specified by:
        `iterator` in interface `Iterable<FormItem>`

    - #### size

          public int size()

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`